# Uses of Class
org.eclipse.osgi.storage.BundleInfo.Generation

Packages that use BundleInfo.Generation
Package
Description
org.eclipse.osgi.storage
org.eclipse.osgi.storage.bundlefile

## Uses of BundleInfo.Generation in org.eclipse.osgi.storage

Methods in org.eclipse.osgi.storage that return BundleInfo.Generation
Modifier and Type
Method
Description
`BundleInfo.Generation`
Storage.`install(Module origin, String bundleLocation, InputStream toInstall)`
`BundleInfo.Generation`
Storage.`update(Module module, InputStream updateIn)`
Methods in org.eclipse.osgi.storage with parameters of type BundleInfo.Generation
Modifier and Type
Method
Description
`String`
Storage.`copyToTempLibrary(BundleInfo.Generation generation, String absolutePath)`
`BundleFile`
Storage.`createBundleFile(File content, BundleInfo.Generation generation, boolean isDirectory, boolean isBase)`
`BundleFile`
Storage.`createNestedBundleFile(String nestedDir, BundleFile bundleFile, BundleInfo.Generation generation)`
`BundleFile`
Storage.`createNestedBundleFile(String nestedDir, BundleFile bundleFile, BundleInfo.Generation generation, Collection<String> filterPrefixes)`
`ModuleRevisionBuilder`
Storage.`getBuilder(BundleInfo.Generation generation)`
`ModuleRevisionBuilder`
Storage.`getBuilder(BundleInfo.Generation generation, String extraCapabilities, String extraExports)`
`BundleFile`
Storage.`wrapBundleFile(BundleFile bundleFile, BundleInfo.Generation generation, boolean isBase)`
Method parameters in org.eclipse.osgi.storage with type arguments of type BundleInfo.Generation
Modifier and Type
Method
Description
`static Enumeration<URL>`
Storage.`findEntries(List<BundleInfo.Generation> generations, String path, String filePattern, int options)`
Constructors in org.eclipse.osgi.storage with parameters of type BundleInfo.Generation
Modifier
Constructor
Description
``
`ManifestLocalization(BundleInfo.Generation generation, Dictionary<String,String> rawHeaders, String defaultRoot)`
``
`NativeCodeFinder(BundleInfo.Generation generation)`

## Uses of BundleInfo.Generation in org.eclipse.osgi.storage.bundlefile

Fields in org.eclipse.osgi.storage.bundlefile declared as BundleInfo.Generation
Modifier and Type
Field
Description
`protected final BundleInfo.Generation`
CloseableBundleFile.`generation`
Constructors in org.eclipse.osgi.storage.bundlefile with parameters of type BundleInfo.Generation
Modifier
Constructor
Description
``
`CloseableBundleFile(File basefile, BundleInfo.Generation generation, MRUBundleFileList mruList, org.eclipse.osgi.internal.debug.Debug debug)`
``
`ZipBundleFile(File basefile, BundleInfo.Generation generation, MRUBundleFileList mruList, org.eclipse.osgi.internal.debug.Debug debug, boolean verify)`